#ifndef FRAME_CPP_INTERFACE__FrRawData_HH
#define FRAME_CPP_INTERFACE__FrRawData_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/rawdata.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef RawData FrRawData;
  }
}

#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrRawData.hh"
#else
#error Unsupported version
#endif

namespace FrameCPP
{
  typedef Version::FrRawData FrRawData;
}

#endif /* FRAME_CPP_INTERFACE__FrRawData_HH */
