#ifndef FrameCPP__Common__FrSH_HH
#define FrameCPP__Common__FrSH_HH

#include "framecpp/Common/FrameSpec.hh"

namespace FrameCPP
{
  namespace Common
  {
    class Description;

    //-------------------------------------------------------------------
    /// \brief Interface definition for an FrSH structure
    class FrSH
      : public FrameSpec::Object
    {
    public:
      FrSH( );

      virtual const std::string& name( ) const = 0;
      virtual const INT_2U classId( ) const = 0;
    };

    inline FrSH::
    FrSH( )
      : FrameSpec::Object( FrameSpec::Info::FSI_FR_SH,
			   (Description*)NULL )
    {
    }
  } // namespace - Common
} // namespace - FrameCPP

#endif /* FrameCPP__Common__FrSH_HH */
