#ifndef FRAME_CPP_INTERFACE__FrVect_HH
#define FRAME_CPP_INTERFACE__FrVect_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 4
#include "framecpp/Version4/FrVect.hh"
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrVect.hh"
#else
#error Unsupported Frame specification
#endif

namespace FrameCPP
{
  //---------------------------------------------------------------------
  /// \brief Container for single and multiple dimension data sets.
  //---------------------------------------------------------------------
  typedef Version::FrVect FrVect;
}

#endif /* FRAME_CPP_INTERFACE__FrVect_HH */
